> For the complete documentation index, see [llms.txt](https://docs.stastoken.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stastoken.com/library/advanced-features/unsigned-transactions.md).

# Unsigned Transactions

The unsigned features for the functions are the most advanced feature available in the library. It will create unsigned versions of the transactions and return an array of unsigned data for each input in the transaction that is not yet signed. This feature is designed to be used for wallets that may require external signatures such as web browser wallets. The current format of data returned by this function is as follows :

```javascript
const unsignedData = {
    unsignedData : [] // array of objects for each input in the transaction
    tx : tx // whole transaction object
}

unsignedData = [{
            inputIndex : number // index of the input being signed
            satoshis : number // satoshi converted to BN
            script : string // script buffer of the input
            sighash  : number // sighash flags for the input,
            publicKeyString : string // public key string of the input
            stas : boolean // indicating whether the input is stas type or not
})
```

{% hint style="info" %}
The unsigned data can be used in conjunction with the BSV library to construct a valid signature for the input(s).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stastoken.com/library/advanced-features/unsigned-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
